# Performance Schema table\_handles Table

{% hint style="info" %}
The `table_handles` table is available from MariaDB 10.5.2.
{% endhint %}

The `table_handles` table contains table lock information. It uses the `wait/lock/table/sql/handler` instrument, which is enabled by default.

Information includes which table handles are open, which sessions are holding the locks, and how they are locked.

The table is read-only, and [TRUNCATE TABLE](https://mariadb.com/docs/server/reference/sql-statements/table-statements/truncate-table) cannot be performed on the table.

The maximum number of opened table objects is determined by the [performance\_schema\_max\_table\_handles](https://mariadb.com/docs/server/reference/system-tables/performance-schema-system-variables#performance_schema_max_table_handles) system variable.

The table contains the following columns:

| Column                  | Description                                           |
| ----------------------- | ----------------------------------------------------- |
| OBJECT\_TYPE            | The table opened by a table handle.                   |
| OBJECT\_SCHEMA          | The schema that contains the object.                  |
| OBJECT\_NAME            | The name of the instrumented object.                  |
| OBJECT\_INSTANCE\_BEGIN | The table handle address in memory.                   |
| OWNER\_THREAD\_ID       | The thread owning the table handle.                   |
| OWNER\_EVENT\_ID        | The event which caused the table handle to be opened. |
| INTERNAL\_LOCK          | The table lock used at the SQL level.                 |
| EXTERNAL\_LOCK          | The table lock used at the storage engine level.      |

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/performance-schema/performance-schema-tables/performance-schema-table_handles-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
